I går utnämnde USA:s nästa president Donald Trump sin expertrådgivare när det kommer till cybersäkerhet och lotten föll på New Yorks före detta borgmästare Rudy Giuliani.

En person som enligt Trumps team har haft ”en lång och lyckad myndighetskarriär inom rättsväsendet, och som nu har 16 års arbetslivserfarenhet av att ge säkerhetslösningar till den privata sektorn”.

Läs också: Medborgarrättskämpar uppmanar till skärpt it-säkerhet med Trump som president

Fina ord, men när utomstående experter synar "experten" verkar det som att Giuliani inte riktigt lever som han lär. För hans egna sajt har nämligen en säkerhet i bottenklass.

Enligt The Register så drivs Giulianisecurity.com med en fem år gammal version av Joomla, med buggar som gör det lätt för hackers att använda sig av enkla SQL-injektioner för att ta sig in i.

Upptäckten av Giulianis bristande säkerhet på den egna sajten väckte mycket ilska - och kanske främst rädsla - bland experterna.

”Det beskriver läget väldigt bra. Sjuttioåriga envåldshärskare som ofta skryter om att inte använda sig av teknik blir på något sätt ansvarig för teknik”, säger den välrenommerade hackern Dan Tentler till The Register.

”Giuliani kör en version av PHP som släpptes 2013 och en version av Joomla som släpptes runt 2012. Med den informationen kunde vi på minuter hitta en lista på 41 kända svaga punkter och 19 kända sårbarheter”, säger Ty Miller chef på Infosecföretaget Threat Intelligence.

Läs också: ”Valet av Donald Trump punkterade it-bubblan”

Som tur är har Rudy Giuliani själv sagt att hans stora fokus kommer att ligga på att samla ihop kompetens från säkerhetsvärlden, så förhoppningsvis kanske han lär sig både ett och annat.